﻿@model GoC.AppStatus.WebClient.Models.EnvironmentModel

@{
    List<string> colours = new List<string>() {
        "FF0000", // red
        "FFA500", // orange
        "FFFF00", // yellow
        "008000", // green
        "ADD8E6", // lightblue
        "0000FF", // blue
        "D3D3D3", // lightgrey
        "A52A2A", // brown
        "FFC0CB", // pink
        "ADFF2F"  // greenyellow
    };
}

<div class="row">
    <div class="col-md-10">
        <h2>@Localizer["Edit Environment"]</h2>
        <h3>@Localizer["Environment Details"]</h3>
        <div id="envPanel" class="wb-frmvld">
            <form role="form" method="post">
                @if (!ViewData.ModelState.IsValid)
                {
                    <script>
                        var element = document.getElementById("envPanel");
                        element.classList.remove("wb-frmvld");
                    </script>
                    <partial name="_InvalidModelState" />
                }
                <partial name="_Details" model="Model" />
                <div class="row form-group">
                    <div class="col-md-11">
                        <button type="submit" class="btn btn-primary display-inline pull-right save-btn-margin">@Localizer["Save"]</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
